usermgmt.models.Student Class Reference

Student table creation class attributes - name, card no. More...

Inheritance diagram for usermgmt.models.Student:

## Public Member Functions

def | __str__ (self)

## Static Public Attributes

| user = models.OneToOneField(User, on_delete=models.CASCADE, primary_key=True)
| cardNo = models.CharField(max_length=4, blank=True)
| phoneNo = models.IntegerField(blank=True)
| foodType = models.CharField(max_length = 2, choices = [('v','veg'),('nv','nonveg'),('j','jain')], default = 'v')
| roomNo = models.IntegerField()

## Detailed Description

Student table creation class attributes - name, card no.

etc.

The documentation for this class was generated from the following file:

- models.py